Loading...
Searching...
No Matches
etl::base64 Class Reference

Common Base64 definitions. More...

`#include <base64.h>`

## Classes

struct | Encoding
struct | Padding
struct | Non_Coding_Characters

## Public Types

enum | { Invalid_Data = etl::integral_limits<int>::max , Min_Encode_Buffer_Size = 4 , Min_Decode_Buffer_Size = 3 }

## Protected Member Functions

ETL_CONSTEXPR14 | base64 (const char *encoder_table_, bool use_padding_)

## Static Protected Member Functions

static ETL_CONSTEXPR14 const char * | character_set_1 ()
static ETL_CONSTEXPR14 const char * | character_set_2 ()
static ETL_CONSTEXPR14 const char * | character_set_3 ()

## Protected Attributes

const char * | encoder_table
const bool | use_padding

## Detailed Description

Common Base64 definitions.

The documentation for this class was generated from the following file:

- include/etl/base64.h